> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Gets a paginated list of the recurring gifts for a donor.

GET https://prod-api.raisedonors.com/api/Donor/{donorId}/recurringgifts

Reference: https://virtuous.ferndocs.com/reference/raise/donor/listdonorrecurringgifts

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Path parameters

- `donorId` (long, required) — The ID of the donor.

### Query parameters

- `Filter` (string, optional)
- `Skip` (integer, optional)
- `Take` (integer, optional)
- `SortBy` (enum, optional) — Field to sort by (case-insensitive). Valid options: createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone
  - Allowed values: `createdate`, `createddatetime`, `email`, `firstname`, `gifts`, `giftsum`, `id`, `lastname`, `modifieddatetimeutc`, `name`, `phone`
- `Descending` (boolean, optional)
- `IncludeDetails` (boolean, optional)

## Response

### 200

OK

- `items` (list of RecurringGiftListModel, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `Donor_ListDonorRecurringGiftsRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### RecurringGiftListModel

Represents a model for recurring gift list.

- `id` (long, optional) — Gets or sets the unique identifier for the recurring gift.
- `profileNumber` (string, optional, nullable) — Gets or sets the profile number for the recurring gift.
- `amount` (string, optional, nullable) — Gets or sets the formatted amount of the recurring gift.
- `currencyCode` (string, optional, nullable) — Gets or sets the currency code for the recurring gift amount.
- `donorId` (long, optional) — Gets or sets the donor identifier associated with the recurring gift.
- `donorName` (string, optional, nullable) — Gets or sets the donor name. Defaults to "Anonymous" if not set.
- `donorIsOrganization` (boolean, optional) — Gets or sets a value indicating whether the donor is an organization.
- `frequency` (string, optional, nullable) — Gets or sets the display value of the frequency for the recurring gift.
- `total` (string, optional, nullable) — Gets or sets the formatted total amount collected from the recurring gift.
- `successfulCycles` (integer, optional) — Gets or sets the number of successful cycles completed for the recurring gift.
- `nextChargeDate` (string, optional, nullable) — Gets or sets the formatted next charge date for the recurring gift.
- `status` (enum, optional) — Gets or sets the current status of the recurring gift.
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`
- `statusText` (string, optional, nullable) — Gets or sets the display text for the recurring gift status.
- `projects` (list of string, optional, nullable) — Gets or sets the array of project allocations with formatted amounts.
- `allowedEdit` (boolean, optional) — Gets or sets a value indicating whether the recurring gift is allowed to be edited.
- `metadata` (list of string, optional, nullable) — Gets or sets the metadata values associated with the query result.
- `isAnonymous` (boolean, optional) — Gets or sets a value indicating whether the recurring gift is anonymous.
- `donorCoverCosts` (boolean, optional) — Gets or sets a value indicating whether the donor covers processing costs.
- `crmKey` (string, optional, nullable) — Gets or sets the CRM key associated with the recurring gift.
- `currencyExchange` (CurrencyExchange, optional, nullable) — Gets or sets the currency exchange information for the recurring gift, if applicable.

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### CurrencyExchange

- `nativeAmount` (string, optional, nullable)
- `nativeCurrencyCode` (string, optional, nullable)
- `settledExchangeRate` (double, optional, nullable)
- `settledAmount` (string, optional, nullable)
- `settledCurrencyCode` (string, optional, nullable)
- `baseExchangeRate` (double, optional, nullable)
- `baseAmount` (string, optional, nullable)
- `baseCurrencyCode` (string, optional, nullable)
- `isDifferentCurrency` (boolean, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 12345,
      "profileNumber": "RG-2024-0001",
      "amount": "$50.00",
      "currencyCode": "USD",
      "donorId": 1,
      "donorName": "John Doe",
      "donorIsOrganization": false,
      "frequency": "Monthly",
      "total": "$600.00",
      "successfulCycles": 12,
      "nextChargeDate": "2024-07-15",
      "status": 2,
      "statusText": "Active",
      "projects": [
        "Clean Water Initiative - $30.00",
        "Education Fund - $20.00"
      ],
      "allowedEdit": true,
      "metadata": [
        "verified",
        "vip-donor"
      ],
      "isAnonymous": false,
      "donorCoverCosts": true,
      "crmKey": "CRM-987654321",
      "currencyExchange": {
        "nativeAmount": "€45.00",
        "nativeCurrencyCode": "EUR",
        "settledExchangeRate": 0.9,
        "settledAmount": "$50.00",
        "settledCurrencyCode": "USD",
        "baseExchangeRate": 0.9,
        "baseAmount": "€45.00",
        "baseCurrencyCode": "EUR",
        "isDifferentCurrency": true
      }
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Donor/1/recurringgifts"

querystring = {"SortBy":"createdate"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Donor/1/recurringgifts?SortBy=createdate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```